APISettings
List custom connector tools
List the tools an mcp connector's server advertises, with whether the agent may call each one. Calls the MCP server. Requires the admin scope.
GET
/settings/custom-connectors/{id}/toolscurl -X GET "https://productlane.com/api/v2/settings/custom-connectors/{id}/tools" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequiredrefreshenum<string>queryOne of:truefalse10yesnoonoff
Response
application/json
Successful response
dataobject[]requiredtruncatedbooleanrequired
{
"data": [
{
"name": "string",
"description": "string",
"input_schema": null,
"available_to_agent": true,
"blocked_internally": true,
"has_policy": true
}
],
"truncated": true
}